<section class="section-agents section-t8">
    <div class="container" style="padding-top: 50px;">
        <div class="row">
            <div class="col-md-12">
                <h2>
                    <li>Ajouter un Locker</li>
                </h2>
                <br>
                <div class="form-group">
                    <input type="text" name="adress" class="form-control form-control-lg form-control-a"
                        placeholder="Adresse" [(ngModel)]="entity.adress" data-rule="minlen:4">
                    <div class="validation"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <input type="text" name="ville" class="form-control form-control-lg form-control-a"
                        placeholder="Ville" [(ngModel)]="entity.city" data-rule="minlen:4">
                    <div class="validation"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <input type="text" name="code postale" class="form-control form-control-lg form-control-a"
                        placeholder="Code postal" [(ngModel)]="entity.zipCode" data-rule="minlen:4">
                    <div class="validation"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <input type="text" name="nom" class="form-control form-control-lg form-control-a" placeholder="Nom"
                    [(ngModel)]="entity.name" data-rule="minlen:4">
                    <div class="validation"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <input type="text" name="slots" class="form-control form-control-lg form-control-a"
                        placeholder="Nombre de Slot" [(ngModel)]="entity.slot" data-rule="minlen:4">
                    <div class="validation"></div>
                </div>
            </div>
            <div *ngIf="message">
                <p [ngStyle]="{'color': messageColor}">{{message}}</p>
            </div>
            <div class="col-md-6">
                <button type="button" class="btn btn-success" value="Créer" (click)="create()"> Valider </button>
                <button type="button" class="btn btn-danger" (click)="annuler()"> Annuler </button>
            </div>
        </div>
    </div>
</section>